﻿@page "/"
@using Ares.Web.App.Wrappers
@using Ares.Web.Api.Models
@inject IHttpClient Client;

<h1>Termin Übersicht</h1>

@foreach (AppointmentModel appointment in listOfAppointments)
{
    <div class="appointment">
        <h3>
            @appointment.Appointment.Date
            <a href="/details/{@appointment.Appointment.Id}">Detailansicht</a>
        </h3>
    </div>
}


<a href="/new">
    <button>Einen Termin hinzufühgen</button>
</a>

@code
{
    private IEnumerable<AppointmentModel> listOfAppointments = new AppointmentModel[0];

    /// <summary>
    /// Method invoked when the component is ready to start, having received its
    /// initial parameters from its parent in the render tree.
    /// Override this method if you will perform an asynchronous operation and
    /// want the component to refresh when that operation is completed.
    /// </summary>
    /// <returns>A <see cref="T:System.Threading.Tasks.Task"/> representing any asynchronous operation.</returns>
    protected override async Task OnInitializedAsync()
    {
        listOfAppointments = await Client.GetJsonAsync<IEnumerable<AppointmentModel>>("api/appointments");
    }

}